# osg::FrontFace Class Reference

Class to specify the orientation of front-facing polygons. More...

Inheritance diagram for osg::FrontFace:

[legend]
List of all members.

## Public Types

enum | Mode { CLOCKWISE = GL_CW, COUNTER_CLOCKWISE = GL_CCW }

## Public Member Functions

| FrontFace ()
| FrontFace (const FrontFace &ff, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, FrontFace, FRONTFACE)
virtual int | compare (const StateAttribute &sa) const
| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
void | setMode (Mode mode)
const Mode | getMode () const
virtual void | apply (State &state) const
| apply the OpenGL state attributes.

## Protected Member Functions

virtual | ~FrontFace ()

## Protected Attributes

Mode | _mode

## Detailed Description

Class to specify the orientation of front-facing polygons.

## Member Enumeration Documentation

enum osg::FrontFace::Mode

Enumeration values:

  CLOCKWISE |
  COUNTER_CLOCKWISE |

## Constructor & Destructor Documentation

FrontFace::FrontFace | ( |  | ) |

osg::FrontFace::FrontFace | ( | const FrontFace & | ff,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

FrontFace::~FrontFace | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void FrontFace::apply | ( | State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

virtual int osg::FrontFace::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

const Mode osg::FrontFace::getMode | ( |  | ) | const`[inline]`

osg::FrontFace::META_StateAttribute | ( | osg | ,
|  | FrontFace | ,
|  | FRONTFACE |
| ) |

void osg::FrontFace::setMode | ( | Mode | mode | ) | `[inline]`

## Member Data Documentation

Mode osg::FrontFace::_mode `[protected]`

The documentation for this class was generated from the following files:

- FrontFace
- FrontFace.cpp